@echo off
cd \
echo this batch should *ALWAYS* be called from another batch
echo invoking it alone may not give acceptable results.
cd \working
echon bulletin_manager >> pass.log
logecho ! $D $N $h:$m:$s flagmgr=processing bulletin for automated retrievals >> chkflags.log
if exist unpacked.sem goto commence
echo .. >> unpacked.sem
logecho * $D $N $h:$m:$s flagmgr=unpacking bulletin archive for automated retrieval >> chkflags.log
cd \make
pkunzip c:\max\file\newup\rescue.zip
cd \robot
logecho unpacking archive on $W. $D, 20$Y at $h:$m >> bulletin.log
cd \working
goto commence
:commence
logecho * $D $N $h:$m:$s flagmgr=checking flag files >> chkflags.log
goto top
:top
cls
type c:\hold\ref\sysinfo\bull-mgr.scr
echo.
dbox checking flag files
if exist rebrief.sem goto rebrief
if exist delwatch.sem goto delwatch
if exist delamber.sem goto delamber
if exist kill-wx.sem goto kill-wx
if exist delguard.sem goto delguard
if exist kill-qst.sem goto kill-qst
if exist c:\staging\brief.txt goto newbrief
if exist addwatch.sem goto addwatch
if exist addamber.sem goto addamber
if exist add-qst.sem goto add-qst
if exist add-wx.sem goto add-wx
if exist addguard.sem goto addguard
if exist process.sem goto process
if exist upcur.sem goto update
goto noupdate
:noupdate
cls
bigtext /ss DONE!
echo.
echo.
bigtext /ss %RUNCOUNT%
echo.
echo.
echo.
dbox no update necessary at this time ...
logecho * $D $N $h:$m:$s flagmgr=no bulletin update necessary at this time >> chkflags.log
goto out
:update
dbox creating flag file
echo .. >> bulready.sem
del upcur.sem
if exist zmh.sem goto skipbull
del pass.log
cd \
cd \robot
echo posting briefs file as a message in rescunet >> bulletin.log
cd \netmgr
netmgr post /xbriefbul -a$c:\squish\msg\rescunet -fc:\make\brief.txt
cd \
autobull.bat
:skipbull
cls
type c:\hold\ref\sysinfo\bullskip.scr
cd \robot
logecho BUlletin archive creation queued for midnight event >> bulletin.log
echo.
cd \bt
echo. >> fidonet.log
type c:\working\chkflags.log >> fidonet.log
cd \
del c:\working\chkflags.log
fido.bat
:delguard
logecho * $D $n $h:$m:$s flagmgr=removing vessel entries >> chkflags.log
cd \logs
copy c:\guard\kills.txt
logecho chg /i kills.txt /s del /r $M/$D >> logkills.bat
chg /i kills.txt /s ! /r "removed[32]"
call logkills.bat
type kills.txt >> maritime.lst
del logkills.bat
del kills.txt
cd \guard
dbox removing vessel entries ...
call kills.bat
del kills.bat
echo.
echo creating new guard list ...
del *.bak
for %%f in (!*.*) do type %%f >> guard.lst
chg /i guard.lst /s ! /r ""
cd \make
del guard.txt
type c:\robotext\gardlist.hdr >> guard.txt
logecho list compiled on $W. $N. $D at $h:$m UTC >> guard.txt
echo. >> guard.txt
type c:\guard\guard.lst >> guard.txt
del c:\guard\guard.lst
echo. >> guard.txt
echo ------------------------------ >> guard.txt
cd \robot
logecho * $D $N $h:$m:$s entries removed from guard list >> bulletin.log
cd \working
del delguard.sem
echo .. >> upcur.sem
if exist c:\temp\heard.txt goto addheard
cd \make
type c:\robotext\gardlist.ftr >> guard.txt
cd \working
goto top
:kill-qst
dell kill-qst.sem
echo.
echo.
bigtext /sp \/\/\/\/\/\/\/\/\/\
dbox removing general bulletin file ...
cd \make
del qst.txt
cd \working
dbox removing general bulletin file ...
del qst.sem
goto top
:kill-wx
del kill-wx.sem
dbox removing weather bulletin file ...
cd \make
del wx.txt
type brief.txt | find "Weather" /i /v >> brief.tmp
del brief.txt
ren brief.tmp brief.txt
cd \robot
logecho * $D $N $h:$m:$s weather file removed >> bulletin.log
cd \working
dbox removing weather bulletin file ...
goto top
:delwatch
bigtext /sp \/\/\/\/\/\/\/\/\/\
bigtext /sp MISSING VESSEL
bigtext /sp ALERT REMOVED
del delwatch.sem
dbox removing missing vessel alert ...           qf
cd \make
del watch.txt
type brief.txt | find "$boatwatch" /i /v >> brief.tmp
del brief.txt
ren brief.tmp brief.txt
cd \robot
logecho * $D $N $h:$m:$s boat watch deleted >> bulletin.log
cd \working
dbox removing missing vessel alert ...
goto top
:newbrief
cd \staging
type brief.txt >> c:\make\brief.txt
del brief.txt
cd \working
goto top
:rebrief
del rebrief.sem
cd \robot
logecho * $D $N $h:$m:$s new briefs file created >> bulletin.log
cd \make
type brief.txt | find "$" >> brief.tmp
del brief.txt
echo RADIO RESCUE NET OPERATIONS BBS >> brief.txt
echo. >> brief.txt
echo brief  synopses and bulletins of interest to rescue controllers >> brief.txt
echo. >> brief.txt
logecho created: $W. $N. $D at $h:$m UTC. >> brief.txt
echo. >> brief.txt
type brief.tmp >> brief.txt
del brief.tmp
echo. >> brief.txt
echo. >> brief.txt
cd \working
dbox creating new briefs file ...
goto top
:addbrief
del addbrief.sem
cd \robot
logecho # $W. $D $N. $h:$m:$s appending briefs file >> bulletin.log
cd \make
type c:\staging\brief.txt >> brief.txt
del c:\staging\brief.txt
cd \working
echo .. >> upcur.sem
goto top
:addguard
echo .. >> upcur.sem
del addguard.sem
cd \robot
logecho # $W. $D $N. $h:$m:$s appending guard file >> bulletin.log
cd \make
del c:\temp\guard.txt
del guard.txt
logecho $W. $N. $D at $h:$m UTC.  >> brief.txt
cd \
 cd \guard
del *.bak
cls
type c:\hold\ref\sysinfo\gardlist.scr
echo.
for %%F in (!*.*) do type %%F >> guard.lst
chg /i guard.lst /s ! /r ""
type opnote.txt >> guard.lst
for %%f in (!*.*) do echo %%f >> templist.txt
chg /i templist.txt /s ! /r ""
rem echo the following vessels currently on our guard list >> c:\robot\daily.rep
cd \make
type c:\robotext\gardlist.hdr >> guard.txt
logecho list compiled on $W. $N. $D at $h:$m UTC >> guard.txt
echo. >> guard.txt
type c:\guard\guard.lst >> guard.txt
echo. >> guard.txt
echo ------------------------------ >> guard.txt
type c:\robotext\gardlist.ftr >> guard.txt
copy guard.txt c:\temp
echo WE list the following vessels underway offshore >> brief.txt
type c:\guard\templist.txt >> brief.txt
cd \guard
del newguard.bat
del guard.lst
del templist.txt
cd \
cd \robot
logecho * $D $N $h:$m:$s new vessels list created as flagged >> bulletin.log
rem echo. >> daily.rep
 cd \working
if exist c:\temp\heard.txt goto addheard
goto top
:addheard
cd \make
bigtext /sp APPENDING HEARD LIST
type heard.txt >> c:\make\guard.txt
cd \working
logecho * $D $N $h:$m:$s flagmgr=appending heard list to guard file >> chkflags.log
goto top
:add-wx
cls
type c:\hold\ref\sysinfo\wx.scr
echo .. >> upcur.sem
del add-wx.sem
cd \robot
logecho # $W. $D $N. $h:$m:$s appending weather bulletins ... >> bulletin.log
cd \make
type c:\staging\wx.txt >> wx.txt
bigtext /sp \/\/\/\/\/\/\/\/\/\
bigtext /ss OOOOOOOO
bigtext /sp ===================
echo.
dbox appending weather bulletin ...
del c:\staging\wx.txt
cd \working
echo .. >> upcur.sem
goto top
:kill-wx
del kill-wx.sem
cd \robot
logecho * $W $D $N. $h:$m:$s deleting weather bulletins >> bulletin.log
cd \make
del wx.txt
type brief.txt | find "**weather" /v >> brief.tmp
del brief.txt
ren brief.tmp brief.txt
cd \working
echo .. >> upcur.sem
echo deleting weather bulletin file ...
goto top
:add-qst
del add-qst.sem
cls
type c:\hold\ref\sysinfo\qst.scr
echo .. >> upcur.sem
echo.
echo.
echo.
bigtext /sp GENERAL BULLETIN
echo.
bigtext /sb QST
echo.
bigtext /sp \/\/\/\/\/\/\/\/\/\
cd \robot
logecho # $W. $D $N. $h:$m:$s appending qst >> bulletin.log
cd \make
type c:\staging\qst.txt >> qst.txt
del c:\staging\qst.txt
cd \working
goto top
:kill-qst
del kill-qst.sem
echo .. >> upcur.sem
cd \robot
logecho * $W. $D $N. $h:$m:$s deleting qst file >> bulletin.log
cd \make
del qst.txt
cd \working
goto top
:addamber
del addamber.sem
echo .. >> upcur.sem
cls
type c:\hold\ref\sysinfo\amber.scr
cd \robot
logecho # $W. $D $N. $h:$m:$s appending amber alert >> bulletin.log
cd \make
type c:\staging\amber.txt >> amber.txt
del c:\staging\amber.txt
logecho Amber alert received $N. $D. at $h:$m UTC >> brief.txt
bigtext /sp MISSING CHILD ALERT
type c:\hold\ref\sysinfo\waves.scr
echo.
echo.
dbox AMber missing child alert ...
cd \working
goto top
:delamber
del delamber.sem
echo .. >> upcur.sem
cd \robot
logecho * $W. $D $N. $h:$m:$s deleting amber alerts >> bulletin.log
cd \make
del amber.txt
type brief.txt | find "amber" /i /v >> brief.tmp
del brief.txt
ren brief.tmp brief.txt
cd \working
goto top
:addwatch
cls
type c:\hold\ref\sysinfo\bwatch.scr
del addwatch.sem
logecho * $D $N $h:$m:$s flagmgr=remotes remote_append=boatwatch >> chkflags.log
echo .. >> upcur.sem
cd \robot
logecho # $W. $D $N. $h:$m:$s adding boat watch >> bulletin.log
cd \make
type c:\staging\watch.txt >> watch.txt
del c:\staging\watch.txt
echon $boatwatch >> brief.txt
logecho posted $N. $D. $h:$m UTC >> brief.txt
cd \working
goto top
:process
echon flagmgr=Actions taken since last update >> chkflags.log
type process.sem | find "*" /i /c >> chkflags.log
cd \robot
logecho * $D $N $h:$m:$s %REMOTE%== initiated process complete >> bulletin.log
cd \
cd \working
goto out
:out
echo * >> process.sem
del pass.log
echon $ >> chkflags.log
logecho  $D $N $h:$m:$s flagmgr=bulletin processing complete  >> chkflags.log
echo. >> chkflags.log
cd \
cls
bigtext /ss COMPLETE!
echo.
echo all processing complete at this time ...
echo.
dbox no further processing necessary at this time.
echo.
echo Thank you for your patience.
cd \robot
h current.h
del bulletin.log
del c:\temp\current.rep
cd \squish
for %%i in (c:\bt\prot\*.pkt) do pktdate -k -c -l3 -Lc:\temp\packet.log %%i
squish in
cd \netmgr
netmgr
cd \squish
squish squash
cd \robot
h chkflags.h
cd \bt
type c:\working\chkflags.log >> fidonet.log
cd \working
del process.sem
del chkflags.log
del pass.log
set runcount=
cd \squish
for %%i in (c:\bt\prot\*.pkt) do pktdate -k -c -l3 -Lc:\temp\packet.log %%i
squish in
cd \netmgr
netmgr
cd \squish
squish squash
cd \
cls
fido

